Linux中RabbitMQ安装教程

Linux下安装RabbitMQ

在开始之前一定要看官方文档,其实教程不一定最新的,所以一定要try it.

安装Erlang

RabbitMQ的安装需要Erlang的基础环境,必须按照RabbitMQ Erlang版本要求进行安装。

关于Erlang官方的安装方式有三种:

个人是按照Erlang Solutions的方式安装;根据个人的Linux系统情况选择如下:

image

基本命令如下:

cd /usr/local/src/  
mkdir rabbitmq  
cd rabbitmq  

//下载rpm,如果下载速度慢可以本地下载上传Linux中也可  
wget https://packages.erlang-solutions.com/erlang/esl-erlang/FLAVOUR_1_general/esl-erlang_19.3-1~centos~6_i386.rpm  

rpm –import http://packages.erlang-solutions.com/rpm/erlang_solutions.asc  //导入公钥
  
yum install esl-erlang_19.3-1~centos~6_i386.rpm //安装自动更新依赖(不建议使用rpm安装)

erl //验证是否安装成功
安装成果测试

安装rabbitmq

所有的安装版本都在这里了,可以自行根据自己的要求选择安装即可。

版本说明

//下载
wget https://dl.bintray.com/rabbitmq/all/rabbitmq-server/3.6.6/rabbitmq-server-3.6.6-1.el6.noarch.rpm
//安装
rpm -ivh --nodeps rabbitmq-server-3.6.6-1.el6.noarch.rpm

chkconfig rabbitmq-server on

注意事项:

1、如果出现如下错误,但是的确安装了erlang对应版本:

error: Failed dependencies:
    erlang >= R16B-03 is needed by rabbitmq-server-3.6.3-1.noarch  

解决方式:

添加--nodeps你的rpm命令,参考连接:StackOverflow问答

rpm -ivh --nodeps rabbitmq-server-3.5.7-1.noarch.rpm

检查https://stackoverflow.com/a/40218299/877813,并添加--nodeps你的rpm命令

2、出现如下错误的情况;说缺少socat依赖

 socat is needed by rabbitmq-server-3.6.6-1.el6.noarch

解决方式:参考博客

yum -y install socat
此时会报错没有socat包或是找不到socat包,解决方法安装centos的epel的扩展源
yum -y install epel-release
之后执行yum -y install socat

启动和配置

1.常用命令:

//常用的rabbitmq的命令
service rabbitmq-server   start
service rabbitmq-server   stop
service rabbitmq-server   status
service rabbitmq-server   rotate-logs|
service rabbitmq-server   restart
service rabbitmq-server   condrestart
service rabbitmq-server   try-restart
service rabbitmq-server   reload
service rabbitmq-server   force-reload

ps -ef | grep rabbitmq  查看rabbitMq进程

netstat -anplt | grep LISTEN  rabbitmq默认监听端口15672/5672

2、基本配置:

//开启管理页面插件
rabbitmq-plugins enable rabbitmq_management

管理插件安装完成后,出现如下提示,表示安装成。

The following plugins have been enabled:
  mochiweb
  webmachine
  rabbitmq_web_dispatch
  amqp_client
  rabbitmq_management_agent
  rabbitmq_management
Plugin configuration has changed. Restart RabbitMQ for changes to take effect.

可以用浏览器输入localhost:15672,账号密码全输入guest即可登录:

image

测试安装结果图如下:
image

补充说明部分:

//查看linux位数
ls /   #如果有lib64或这个目录,那操作系统就是64位的
getconfig LONG_BIT  若输出32即为32位系统,64为64位系统
 32位的系统中int类型和long类型一般都是4字节,
64位的系统中int类型还是4字节的,但是long已变成了8字节。
inux系统中可 用"getconf WORD_BIT"和"getconf LONG_BIT"获得word和long的位数。
64位系统中应该分别得到32和64。
uname -a中若为X86示意为64位系统,i386等位32位系统

参考文档

推荐阅读更多精彩内容

  • 本文主要参考官方安装文档 安装Erlang 由于RabbitMQ依赖Erlang, 所以需要先安装Erlang。 ...
    宁静的夜阅读 11,432评论 1 6
  • 系统环境:CentOS 7 64bit 1. 下载适合CentOS 7.x的RabbitMQ Rpm包: http...
    zlup阅读 503评论 0 0
  • RabbitMQ是实现了AMQP协议的消息队列框架,基于Erlang这个最正确的并发处理语言基础开发。支持消息持久...
    阿太哥阅读 1,318评论 0 0
  • 在公司同一岗位上的两个人,为什么其中一人某甲很快就升职,而另外一人某乙勤勤恳恳的工作,却与升职无缘; 同样写作基础...
    英子0930阅读 49评论 0 2
  • 电影都看了好些天了,还是觉得应该要写点什么东西,不然就对不住脑海中不断循环播放的电影画面和旋律了。《我的少女时代》...
    钟洁玉阅读 37评论 0 0